Package org.apache.commons.imaging.formats.tiff

# Class TiffReader

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.tiff.TiffReader

public class TiffReader extends BinaryFileParser

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TiffReader.Listener`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TiffReader(boolean strict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read(ByteSource byteSource, FormatCompliance formatCompliance, TiffReader.Listener listener)`
  `TiffContents`
  `readContents(ByteSource byteSource, TiffImagingParameters params, FormatCompliance formatCompliance)`
  `TiffContents`
  `readDirectories(ByteSource byteSource, boolean readImageData, FormatCompliance formatCompliance)`
  `TiffContents`
  `readFirstDirectory(ByteSource byteSource, boolean readImageData, FormatCompliance formatCompliance)`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TiffReader

    public TiffReader(boolean strict)

- ## Method Details

  - ### read

    public void read(ByteSource byteSource, FormatCompliance formatCompliance, TiffReader.Listener listener) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### readContents

    public TiffContents readContents(ByteSource byteSource, TiffImagingParameters params, FormatCompliance formatCompliance) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### readDirectories

    public TiffContents readDirectories(ByteSource byteSource, boolean readImageData, FormatCompliance formatCompliance) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### readFirstDirectory

    public TiffContents readFirstDirectory(ByteSource byteSource, boolean readImageData, FormatCompliance formatCompliance) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`